@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@400;500;700&display=swap');

:root {
    --color-primary-ult: #098;
    --text-color: #333;
}

* {
    margin: 0;
    padding: 0;
    border: 0;
    box-sizing: border-box;
}

main {
    font-family: 'Roboto', sans-serif;
    background: url(../../src/assets/bg-image.png), #f7f7f7 50% / cover no-repeat;
}

.hidden-section {
    display: none !important;
    opacity: 0;
}

.questions { 
    display: flex;
    flex-direction: column;
    padding-top: 1rem;
    padding-bottom: 3rem;
    opacity: 1;
    transition: opacity linear 3s;
}

.wrapper {
    width: 75%;
    margin: auto;
}

@media screen and (max-width: 768px) {
    .wrapper {
        width: 90%;
    }    
}


.questions-box {
    width: 100%;
    max-width: 100%;
}

@media screen and (min-width: 600px) {

    .questions-box {
        width: 100%;
        max-width: 80%;
    }
    
    .questions {
        flex-direction: row;
        padding-top: 5rem;
    }
    
    .questions-wrapper {
        display: flex;
        flex-direction: row;
        width: 95%;
        margin-left: auto;
        margin-right: auto;
        gap: 1rem;
    }
}

@media screen and (min-width: 800px) {

    .questions-box {
        width: 95%;
        max-width: 95%;
    }

    .questions {
        flex-direction: row;
        padding-top: 3rem;
    }
    
    .questions-wrapper {
        display: flex;
        flex-direction: row;
        width: 90%;
        margin-left: auto;
        margin-right: auto;
        gap: 3rem;
    }
}

@media screen and (min-width: 1200px) {

    .questions-box {
        width: 60%;
        max-width: 60%;
    }

}
.content {
    display: flex;
    flex-direction: column;
}

.content__img {
    margin: auto;
}

@media screen and (min-width: 600px) {
    .content__img {
       order: 1;
       margin-top: 2rem;
       margin-left: -7rem;
    }
}

.content__title {
    font-size: 4rem;
    text-align: left;

    font-style: normal;
    font-weight: 700;
    line-height: 41.655px;
    letter-spacing: 0.449px;

    color: var(--color-primary-ult, #098);

    margin-bottom: 1rem;
}

.content__subtitle {
    color: var(--text-color, #333);
    font-size: 18px;
    font-style: normal;
    font-weight: 400;
    line-height: 26px;

    margin-bottom: 1rem;
}

.content__list {
    display: grid;
    row-gap: 1rem;
    width: 80%;
    margin: auto;
}

@media screen and (min-width: 700px) {
    .content__list {
        margin-left: 2rem;
    }
}

.content__list-item b {
    font-weight: 500;
}


.questions__box {
    background-color: #007267;
    padding-top: 2.5rem;
    padding-bottom: 2.5rem;
    padding-left: 1.25rem;
    padding-right: 1.25rem;
    margin-top: 2rem;

    color: #fff;
    
    border-radius: 10px;
    box-shadow: 0px 10px 70px 0px rgba(0, 26, 82, 0.10);
}

@media screen and (min-width: 700px) {
    .questions__box {
        margin-top: 0;
    }
}


.questions__box-sub-title {
    font-size: 20px;
    font-style: normal;
    font-weight: 400;
    line-height: 28px;
    letter-spacing: 0.75px;
}

.questions__box-title {
    font-size: 32px;
    font-style: normal;
    color: #fff !important;
    opacity: 1 !important;
    font-weight: 700;
    line-height: 32px;
    letter-spacing: 0.4px;
    margin-bottom: 0 !important;
    margin-top: 3rem !important;
    text-align: left;
}

@media screen and (min-width: 600px) and (max-width: 768px) {
    .questions__box-title {
        font-size: 30px;
    }    
}

.line {
    width: 60px;
    height: 4px;
    background: #FFA300;
    margin-top: 1rem;
    margin-bottom: 1rem;
}

.questions__box-button {
    font-size: 1.5rem;
    font-weight: 500;
    color: #333;
    text-align: left;

    margin-top: 1rem;
    padding: .625rem;
    width: 100%;
    border-radius: .3125rem;
    cursor: pointer;
}

.questions__box-button:hover {
    background-color: #D6D4D3;
}

.questions__box-button--back {
    background-color: transparent;
    text-align: left;
    color: #fff;
    cursor: pointer;
}

.questions__box-button--back:hover {
    background-color: transparent;
}

.form {
    background-color: #007267;
    display: flex;
    flex-direction: column;
    gap: 1.3rem;
    color: #fff;
    padding-top: 3rem;
    padding-bottom: 3rem;
    
    border-radius: 10px;
    box-shadow: 0px 10px 70px 0px rgba(0, 26, 82, 0.10);
}

.form-section {
    padding-top: 0;
    padding-bottom: 0;
    opacity: 1;
    transition: opacity linear 3s;
}

@media screen and (max-width: 500px) {
    .form-section{
        padding-left: 0;
        padding-right: 0;
    }
}

@media screen and (min-width: 600px) {
    .form {
        max-width: 90%;
        margin-left: auto;
        margin-right: auto;
    }

    .form-section {
        padding-top: 3rem;
        padding-bottom: 3rem;
    }
}

@media screen and (min-width: 769px) {
    .form {
        max-width: 75%;
        margin-left: auto;
        margin-right: auto;
    }

    .form-section {
        padding-top: 4rem;
        padding-bottom: 4rem;
    }
}

@media screen and (min-width: 1440px) {
    .form {
        max-width: 50%;
    }

    .form-section {
        padding-top: 5rem;
        padding-bottom: 5rem;
    }
}

.form-control__link {
    color: #fff;
}

.form__header {
    width: 90%;
    margin: auto;
}

.form__header .line {
    margin-bottom: 5px;
}

.form__sub-title {
    font-size: 2.5rem !important;
    margin-bottom: 0 !important;
    text-transform: uppercase;
}

.input-group {
    display: flex;
    flex-direction: column;
    width: 90%;
    margin: auto;
}

.input-group.is-error input {
    border: 1px solid #FFA300;
}

.input-groups {
    display: flex;
    gap: 1rem;
    width: 90%;
    margin: auto;
}

.input-groups .input-group {
    width: 50%;
    margin: 0;
}

.input-group {
    display: flex;
    flex-direction: column;
    width: 90%;
    margin: auto;
}

.error {
    margin-top: .3125rem;
    color: #FFA300;
}

.form-control__label {
    color: #fff;
    padding-bottom: 5px;
    cursor: pointer;
}

.form-control__label--container {
    display: flex;
    flex-direction: column;
}

.form-control {
    height: 44px;
    border-radius: 5px;
    padding-left: 10px;
    border: none !important;
    color: #333;
}

select.form-control {
    margin: 0;      
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    -webkit-appearance: none;
    -moz-appearance: none;
}

.input-group--select {
    position: relative;
}

.input-group--select:after {
    content: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="13" height="8" viewBox="0 0 13 8" fill="none"><path d="M6.00311 7.67622L0.309465 1.98254C0.0348657 1.70794 0.0348657 1.26275 0.309465 0.988179L0.973538 0.324107C1.24767 0.0499762 1.69196 0.0494486 1.96673 0.322935L6.50031 4.83527L11.0338 0.322935C11.3086 0.0494486 11.7529 0.0499762 12.027 0.324107L12.6911 0.988179C12.9657 1.26278 12.9657 1.70797 12.6911 1.98254L6.9975 7.67622C6.7229 7.95079 6.27771 7.95079 6.00311 7.67622Z" fill="black"/></svg>');
    position: absolute;
    pointer-events: none;
    right: 10px;
    top: 48px;
}

.input-group--submit {
    margin-top: 1rem;
    flex-direction: row;
    justify-content: space-between;
}

.input-submit {
    background-color: #FFA300;
    color: #fff;
    padding: .75rem 1.5rem;
    cursor: pointer;
    text-transform: uppercase;
    font-size: 1.125rem;
    font-weight: 600;
    letter-spacing: 0.4px;
    line-height: 1.375rem;
    margin: 0 !important;
}

.input-submit:hover {
    background-color: #ffb42f;
}

.input-group--disclaimers {
    margin-top: 2rem;
    flex-direction: row;
    gap: 1rem;
}

.input-group--disclaimers .input-checkbox {
    position: relative;
    cursor: pointer;
}

.input-group--disclaimers .form-control__label--container {
    margin-left: 20px;
}

.input-group--disclaimers .input-checkbox input[type="checkbox"] {
    display: none;
}

.input-group--disclaimers .input-checkbox .checkmark {
    position: absolute;
    top: 6px;
    left: 0;
    width: 20px;
    height: 20px;
    border: 1px solid transparent;
    background-color: #fff;
    text-align: center;
    line-height: 16px;
    font-weight: bold; 
    color: transparent;
    border-radius: 2px;
    padding: 2px;
    cursor: pointer;
}

.input-group--disclaimers .input-checkbox .checkmark svg {
    display: none;
}

.input-group--disclaimers .input-checkbox input[type="checkbox"]:checked + .checkmark {
    background-color: #FFA300;
}

.input-group--disclaimers .input-checkbox input[type="checkbox"]:checked + .checkmark svg {
    display: block;
    width: 100%;
}

.thanks-order {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: #007267;
    box-shadow: 0px 10px 70px 0px rgba(0, 26, 82, 0.10);
    border-radius: 8px;
    padding-left: 2rem !important;
    padding-right: 2rem !important;
    color: #fff;
    text-align: center;
    height: 85vh;
}

.thanks-section {
    padding-top: 0;
    padding-bottom: 0;
    opacity: 1;
    transition: opacity linear 3s;
}

@media screen and (max-width: 500px) {
    .thanks-section {
        padding-left: 0;
        padding-right: 0;
    }
}

@media screen and (min-width: 600px) {
    .thanks-section {
        padding-top: 2rem;
        padding-bottom: 3rem;
    }

    .thanks-order {
        max-width: 95%;
        margin-left: auto;
        margin-right: auto;
        padding-top: 16rem !important;
        padding-bottom: 16rem !important;
    }
}

@media screen and (min-width: 769px) {
    .thanks-section {
        padding-top: 6rem;
        padding-bottom: 5rem;
    }

    .thanks-order {
        max-width: 80%;
        height: auto;
        padding-top: 5rem !important;
        padding-bottom: 5rem !important;
    }
}

@media screen and (min-width: 1440px) {
    .thanks-section {
        padding-top: 4rem !important;
        padding-bottom: 6rem !important;
    }

    .thanks-order {
        max-width: 60%;
        margin: auto;
    }
}

p.thanks-order__title {
    font-size: 4rem;
    font-weight: 500;
    color: #fff !important;
    opacity: 1 !important;
    margin-bottom: 1.5rem !important;
    line-height: 35px;
}

.thanks-order__paragraph {
    margin-top: 1rem !important;
    margin-bottom: 2rem !important;
    padding-left: 2rem;
    padding-right: 2rem;
}

.thanks-order__cta {
    background-color: #FFA300;
    color: #fff;
    padding-left: 2rem;
    padding-right: 2rem;
    padding-top: 1rem;
    padding-bottom: 1rem;
    font-weight: 600;
    line-height: 22px;
    letter-spacing: 0.4px;
    text-transform: uppercase;
    text-decoration: none;
}

.thanks-order__cta:hover {
    background-color: #ffb42f;
}